al_get_joystick(3)

NAME

al_get_joystick - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    ALLEGRO_JOYSTICK * al_get_joystick(int num)

DESCRIPTION

Get a handle for a joystick on the system. The number may be from 0 to al_get_num_joysticks(3)-1. If successful a pointer to a joystick object is returned, which represents a physical device. Otherwise NULL is returned.

The handle and the index are only incidentally linked. After al_reconfigure_joysticks(3) is called, al_get_joystick(3) may return handles in a different order, and handles which represent disconnected devices will not be returned.

SEE ALSO

al_get_num_joysticks(3), al_reconfigure_joysticks(3), al_get_joystick_active(3)